/**********Variables**********/
:root {
  --pink: #EC5D9A;
  --darkPink: #E52B8A;
  --fontDark: #181804;
  --fontBright: #F5F5F5;
}

/**********General***********/
body {
    background-color: var(--fontBright);
}

a {
    text-decoration: none;
}

p {
    margin: 0;
}

.secPad {
    padding: 150px 0;
}

h2 {
    font-size: 150px;
    font-weight: bolder;
    color: var(--pink);
}

/**********FONTS**********/
#news p {
    font-size: 14px;
}

#news h3 {
    font-size: 18px;
}

#news a {
    font-size: 14px;
}

/**********NAV**********/
.navLogo {
    width: 75px;
}

.nav-item {
    display: flex;
    align-items: center;
}

.nav-link {
    color: var(--fontBright);
    transition: 0.3s all ease;
}

.nav-link:hover {
    color: var(--pink);
    transition: 0.3s all ease;
}

/**BUTTONS**/
.raeppliBtn,
.raeppliBtnNav {
    background-image: url("../assets/icons/raeppli-Button.png");
    background-repeat: no-repeat;
    background-position: center;
    background-size: contain;
    display: flex;
    justify-content: center;
    align-items: center;
    color: var(--fontBright);
    text-align: center;
}

.raeppliBtnNav {
    width: 86px;
    height: 86px;
}

.raeppliBtnWhite {
    background-image: url("../assets/icons/raeppli-Button-white.png");
    background-repeat: no-repeat;
    background-position: center;
    background-size: contain;
    display: flex;
    justify-content: center;
    align-items: center;
    color: var(--pink);
    text-align: center;
    width: 150px;
    height: 150px;
}

.raeppliBtnTicket {
    width: 150px;
    height: 150px;
    padding-top: 6px;
    transition: all 0.3s ease;
}

.raeppliBtnNav:hover,
.raeppliBtn:hover {
    transform: scale(1.05) rotate(10deg);    
    transition: all 0.3s ease;
    opacity: 0.7;
}

/**HERO**/
#hero {
    height: 100svh;
    width: 100%;
    overflow: hidden;
    position: relative;
}

.heroBg {
    position: absolute;
    inset: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    z-index: 1;
}

.heroText {
    position: absolute;
    bottom: 25px;
    left: 25px;
    z-index: 2;
    color: var(--fontBright);
}

#leftDays {
    color: var(--pink);
}

.heroSlogan {
    text-transform: uppercase;
    color: var(--fontBright);
}

.heroSeparator::before {
    content: "•";
    color: var(--pink);
}

.heroCTA {
    display: flex;
    justify-content: center;
    align-items: center;
    bottom: 50px;
    position: absolute;
    width: 100%;
    z-index: 2;
}

.heroSocial {
    position: absolute;
    top: 0;
    right: 30px;
    height: 100vh;
    display: flex;
    flex-direction: column;
    gap: 50px;
    justify-content: center;
    align-items: center;
    z-index: 2;
}

.raeppliBtnSocial {
    width: 72px;
    height: 72px;
}

.heroSocial a img {
    width: 22px;
    display: block;
}

.heroLogo {
    position: absolute;
    right: 0;
    bottom: 0;
    z-index: 2;
}

.heroLogo img {
    width: 200px;
}

/**NEWS**/

.newsBottom {
    background-color: var(--pink);
    padding: 15px;
    color: var(--fontBright);
    min-height: 200px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

.newsButton {
    text-align: end;
}

.newsButton a {
    color: var(--fontBright);
}

/**Landing Gallery**/

#landingGallery {
    color: var(--fontBright);
    display: flex;
    flex-direction: row;
    height: 75vh;
    width: 100%;
}

.landingGalleryContent {
    padding: 100px;
    display: flex;
    flex-direction: column;
    justify-content: space-evenly;
    align-items: start;
    width: 50%;
    height: 100%;
    background-color: var(--pink);
}

.landingGalleryContent h2 {
    color: var(--fontBright);
}

.landingGalleryImg {
    width: 50%;
    height: 100%;
}

.landingGalleryImg img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

/**Kontakt**/

/**Mitglieder**/

/**Medien**/

/**Footer**/

footer {
    padding: 50px 0;
    background-color: var(--pink);
    position: relative;
    overflow: hidden;
}

footer::before {
    content: "";
    position: absolute;
    inset: 0;
    background: url("../assets/backgrounds/raeppli-overlay.png") center / cover no-repeat;
    opacity: 1;
    z-index: 1;
}

footer > * {
    position: relative;
    z-index: 2;
    color: var(--fontBright);
}

.footerSocialTop {
    display: flex;
    width: 80%;
    margin: auto;
    align-items: center;
}

.footerCenter {
    padding: 50px 0;
    width: 80%;
    margin: auto;
}

.footerSocialTitle{
    margin: 0;
}

.footerSocialLogos {
    margin-left: 25px;
    display: flex;
    flex-direction: row;
    gap: 25px;
}

.footerSocialLogos a {
    background-color: var(--fontBright);
    width: 75px;
    height: 75px;
    border-radius: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    transition: 0.3s all ease;
}

.footerSocialLogos a:hover {
    transform: scale(1.1);
    opacity: 0.9;
    transition: 0.3s all ease;
}

.footerSocialLogos a img {
    width: 35px;
}

.footerBottom {
    width: 80%;
    margin: auto;
}

.footerBottom hr {
    border-top: solid 1px var(--fontBright);
    opacity: 1;
}

.footerBottomContent {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.footerBottomLinks {
    display: flex;
    gap: 15px;
}

.footerBottomContent a {
    color: var(--fontBright);
    position: relative;
}

.footerBottomContent a::after {
    content: "";
    position: absolute;
    left: 0;
    bottom: -3px;
    width: 0;
    height: 2px;
    background: var(--fontBright);
    transition: width 0.25s ease;
}

.footerBottomContent a:hover::after {
    width: 100%;
}

/**********MOBILE**********/
@media (max-width: 993px) {
    #mainNav {
        display: none;
    }

    .mobileNav {
        position: fixed;
        inset: 0;
        z-index: 9999;
        pointer-events: none;
    }

    .mobileNavLogo {
        position: fixed;
        width: 100%;
        padding: 15px;
        z-index: 10000;
        text-align: center;
    }

    .mobileNavLogo img {
        width: 50px;
    }

    .mobileToggler {
        position: fixed;
        inset: 25px 15px auto auto;
        background: none;
        border: none;
        z-index: 10000;
        cursor: pointer;
    }

    .mobileToggler img {
        width: 25px;
    }

    .mobileNavWrapper {
        position: absolute;
        inset: 0;
        background-color: var(--pink);
        display: flex;
        justify-content: center;
        align-items: center;
        text-align: center;
        transform: translateY(-100%);
        transition: transform 0.5s ease;
        pointer-events: none;
    }

    .mobileNav.active .mobileNavWrapper {
        transform: translateY(0);
        pointer-events: auto;
    }
    
    
    .mobileToggler,
    .mobileNavLogo {
        pointer-events: auto;
    }
    
     .mobileNav ul {
        list-style: none;
        padding: 0;
        margin: 0;
    }

     .mobileNav ul li {
        margin: 0;
    }

    .mobileNav ul li a {
        color: var(--fontBright);
        text-decoration: none;
    }

        .mobileNavFooter {
        position: fixed;
        bottom: 25px;
        display: flex;
        justify-content: center;
        align-items: center;
        gap: 25px;
    }

    .mobileNavFooter img {
        width: 25px;
    }


    .heroSocial {
        right: 15px;
        gap: 25px;
    }

    .heroSocial a.raeppliBtn-social {
        width: 50px;
        height: 50px;
    }

    .heroSocial a img {
        width: 16px;
        display: block;
    }

    .heroCTA {
        display: none;
    }

    .heroLogo img {
        width: 100px;
    }

    .footerSocialTop,
    .footerBottomContent {
        flex-direction: column;
    }


    .newsBottom {
        min-height: auto;
    }

    .footerSocialLogos {
        gap: 15px;
        margin-left: 0;
        margin-bottom: 25px;
    }

    .footerSocialLogos a {
        width: 50px;
        height: 50px;
    }

    .footerBottomContent {
        gap: 15px;
    }
    .footerSocialLogos a img {
        width: 20px;
    }

    .footerBottomLinks {
        display: flex;
        gap: 10px;
    }


.secPad {
    padding: 25px 0;
}

h2 {
    font-size: 40px;
    font-weight: bolder;
    color: var(--pink);
}



}